> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke Access Token

> Revoke an access token or refresh token, rendering it immediately invalid



## OpenAPI

````yaml openapi-oauth.yaml POST /v6/auth/revoke
openapi: 3.1.0
info:
  title: Tight OAuth API
  description: OAuth 2.0 endpoints for the Tight API
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Sandbox
  - url: https://prod.tight.com
    description: Production
security: []
paths:
  /v6/auth/revoke:
    post:
      tags:
        - OAuth
      summary: Revoke access token
      description: >
        Revoke an access token or refresh token, rendering it immediately
        invalid.


        Compliant with RFC 7009. Returns `200` whether or not the token was
        valid.

        Authenticate using HTTP Basic auth (`client_secret_basic`)
      operationId: postRevoke
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              required:
                - token
              properties:
                token:
                  type: string
                  description: The access token or refresh token to revoke.
                token_type_hint:
                  type: string
                  enum:
                    - access_token
                    - refresh_token
                  description: >-
                    Optional hint about the type of token being revoked. Helps
                    the server optimize the lookup.
            examples:
              revoke_access_token:
                summary: Revoke an access token
                value:
                  token: eyJhbGciOiJSUzI1NiJ9...
                  token_type_hint: access_token
              revoke_refresh_token:
                summary: Revoke a refresh token
                value:
                  token: tGzv3JOkF0XG5Qx2TlKWIA
                  token_type_hint: refresh_token
      responses:
        '200':
          description: Token revoked successfully (or token was already invalid)
      security:
        - basicAuth: []
        - {}
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: HTTP Basic authentication using `client_id:client_secret`

````